Subject: Re: [PATCH 0/3] add a message-id header to git

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 Oct 2025 14:18:05 -0700

James Bottomley <[email-masked]> writes:

> So this one's a bit more deliberate.  If you import email and then re-
> send as email we can't keep the same message-id; the internet RFCs
> require us to keep message-ids unique, so git-format-patch won't output
> the message-id.  That necessarily also means that the poor man's rebase
> you cite above will still run, but it would drop the message-id header.

That is one more reason why I do not want it in the header, or "-m"
to overwrite existing message-id trailer.  If I received a patch via
a message, applied, and forwarded it out of a commit I previously
created from a message I earlier received from elsewhere, I would
want the recipient of my forwarded patch message to be able to link
the message I forward with the original message, probably in the
mailing list archive where I took the message from in the first
place.